Отказ в обслуживании в feedparser

Дата публикации:
23.05.2012
Дата изменения:
23.05.2012
Всего просмотров:
814
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:P/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
CVE ID:
CVE-2012-2921
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
feedparser 5.x (module for Python)
Уязвимые версии: feedparser версии до 5.1.2

Описание:
Уязвимость позволяет злоумышленнику произвести DoS атаку.

Уязвимость существует из-за ошибки при обработке DOCTYPE и ENTITY XML деклараций. Удаленный пользователь может с помощью специально сформированного документа произвести DoS атаку.

URL производителя: http://code.google.com/p/feedparser/

Решение: Установите последнюю версию 5.1.2 с сайта производителя.

Ссылки: http://freecode.com/projects/feedparser/releases/344371
https://code.google.com/p/feedparser/source/detail?r=703&path=/trunk/feedparser/feedparser.py

или введите имя

CAPTCHA